import request from '@/utils/request'

// 分页查询任务反馈列表
export function pageListFeedback(query) {
  return request({
    url: '/task/feedback/pageList',
    method: 'get',
    params: query
  })
}

// 查询任务反馈列表
export function listFeedback(query) {
  return request({
    url: '/task/feedback/list',
    method: 'get',
    params: query
  })
}

// 查询任务反馈详细
export function getFeedback(id) {
  return request({
    url: '/task/feedback/' + id,
    method: 'get'
  })
}

// 新增任务反馈
export function addFeedback(data) {
  return request({
    url: '/task/feedback',
    method: 'post',
    data: data
  })
}

// 修改任务反馈
export function updateFeedback(data) {
  return request({
    url: '/task/feedback',
    method: 'put',
    data: data
  })
}

// 删除任务反馈
export function delFeedback(id) {
  return request({
    url: '/task/feedback/' + id,
    method: 'delete'
  })
}

// 导出任务反馈
export function exportFeedback(query) {
  return request({
    url: '/task/feedback/' + 'export',
    method: 'post',
    params: query
  })
}

// 图片任务反馈
export function addImageFeedback(data) {
  return request({
    url: '/task/feedback/addByImage',
    method: 'post',
    data: data
  })
}